Bug 1119870 - Launching an instance from image, insufficient flavors not filtered
Summary: Launching an instance from image, insufficient flavors not filtered
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Matthias Runge
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 17:28 UTC by Tzach Shefi
Modified: 2014-09-08 05:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-22 14:54:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1342235 None None None Never

Description Tzach Shefi 2014-07-15 17:28:12 UTC
Description of problem: While selecting an image from Glance images, you can click on "Lunch" button to boot an instance. This opens up an instance boot page, on this page flavors with insufficient disk size are not automatically "grayed out". However if you reach this same location from instance page and chose an image, assuming image has min disk option, insufficient flavors are grayed out automatically. 

Might be a case for another bug, on main instance boot page, image selection should be given a higher priority in the flow, thus flavor list would be updated. Rather then selecting a flavor then choosing an image only to find that disk is too small for selected image. 

Version-Release number of selected component (if applicable):
rhel 6.5
python-django-horizon-2014.1.1-2.el6ost.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Upload an image, make sure to set min disk setting
2. On images page, click "lunch" button of image created above
3. Notice insufficient flavors are not grayed out. 
4. While if you start procedure not from images but rather instances, it does happen. 

Actual results:
All instance flavors are available.

Expected results:
It would be nice if insufficient flavors would be grayed out automatically. As they are when using instance page to launch an instance, selecting an image causes small flavors to become disabled. 

Additional info:

Comment 1 Matthias Runge 2014-07-16 08:38:29 UTC
I wonder, if this is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=906302

Could you please give more background information here?

Comment 2 Julie Pichon 2014-07-16 09:32:27 UTC
I can't reproduce this on master, I think if this was an issue in Icehouse (I haven't tried there) it will be fixed in J / 6.0.

Comment 3 Tzach Shefi 2014-07-20 06:16:49 UTC
Yes it's probably a duplicate. 

On bz906302 step 2 "After the image is uploaded, try to Launch it", unsure about the work flow used. 
If reporter used launch button on image itself yes it's a duplicate, I'm guessing that's the case. 

However if he moved to instance's page and started an instance from there selecting an image this might be a none duplicate.

Comment 4 Julie Pichon 2014-08-22 14:54:42 UTC
I tried to reproduce following the steps in comment 0, setting the min disk 2GB and the "Launch" button by the image preselected m1.small as expected, greying out the other flavours that are too small (m1.tiny, which is selected by default for the other images). I'm using python-django-horizon-2014.1-6.el7ost.noarch and made sure to launch from the "Images" panel.

The bug was also closed upstream because it cannot be reproduced on master so I'm closing for now, feel free to reopen with additional information if you're still seeing this though. Thank you.


Note You need to log in before you can comment on or make changes to this bug.